#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xfa100156, "bus_register" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x70b9f7ae, "of_translate_address" },
	{ 0xa656f43a, "pci_write_config_dword" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0xadcce3d3, "driver_register" },
	{ 0x46362aee, "of_dma_configure_id" },
	{ 0x9fda3dcf, "irq_create_of_mapping" },
	{ 0x85d656a7, "pcie_set_readrq" },
	{ 0xebcf877a, "pci_disable_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x36401398, "pci_release_regions" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x548113f3, "platform_device_register_full" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8f7f7385, "gpiochip_remove" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42d6ee88, "gpiochip_add_data_with_key" },
	{ 0xcd34bab7, "pci_set_master" },
	{ 0x88136723, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x13441d3e, "device_register" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0xae91346c, "of_iomap" },
	{ 0xbc2a9cd1, "driver_unregister" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xd4a061fd, "platform_device_unregister" },
	{ 0x6b4b2933, "__ioremap" },
	{ 0x50648449, "_dev_err" },
	{ 0xe8cc45ac, "bus_unregister" },
	{ 0x84935b4d, "gpiochip_get_data" },
	{ 0x9def3af1, "of_get_address" },
	{ 0xfa881405, "_dev_info" },
	{ 0x8137bdf6, "platform_device_register" },
	{ 0x12a38747, "usleep_range" },
	{ 0x1afd0498, "put_device" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x6b202a4e, "of_get_next_child" },
	{ 0xb2016e59, "of_irq_parse_raw" },
	{ 0x856092f6, "cpu_hwcaps" },
	{ 0x870a179a, "pci_read_config_dword" },
	{ 0xc3fa40cc, "cpu_hwcap_keys" },
	{ 0xf997aa8f, "pci_unregister_driver" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x590ada4e, "of_irq_parse_one" },
	{ 0x72b6f875, "get_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xa78e7fc, "pci_request_regions" },
	{ 0xd4e62c3e, "__pci_register_driver" },
	{ 0xbadcec7, "of_platform_default_populate" },
	{ 0x45a55ec8, "__iounmap" },
	{ 0xc96ea1ed, "device_unregister" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xec7fabe9, "pci_iomap" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x6eb8dc12, "dev_set_name" },
	{ 0xbf795480, "pci_enable_device" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xb2ead97c, "kimage_vaddr" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0x719e0e44, "add_uevent_var" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("of:N*T*Cbrcm,bus-axi");
MODULE_ALIAS("of:N*T*Cbrcm,bus-axiC*");
MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B15933E64E88DDA62C03FC2");

MODULE_INFO(suserelease, "SLE15-SP3");
