#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x2b8ab42, "sg_copy_to_buffer" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x133f09e7, "debugfs_create_dir" },
	{ 0x9c029c43, "crypto_alloc_shash" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0xf52d9d94, "param_ops_int" },
	{ 0x5b914a8d, "crypto_ablkcipher_type" },
	{ 0x461d16ca, "sg_nents" },
	{ 0xb82b8079, "of_count_phandle_with_args" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf5e2a763, "__ll_sc_arch_atomic_add_return" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x87b8798d, "sg_next" },
	{ 0xd0fe8d51, "sg_pcopy_from_buffer" },
	{ 0x7e14c711, "devm_ioremap_resource" },
	{ 0x2d2264c2, "crypto_shash_finup" },
	{ 0x405daffd, "crypto_shash_final" },
	{ 0x3f8c6868, "debugfs_create_file" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x27909b90, "__ll_sc_arch_atomic_sub" },
	{ 0xdcb764ad, "memset" },
	{ 0xf40de31b, "mbox_request_channel" },
	{ 0xc5850110, "printk" },
	{ 0x9647b840, "crypto_shash_update" },
	{ 0x1f4cd448, "mbox_client_txdone" },
	{ 0x5329b4db, "crypto_register_ahash" },
	{ 0x5a4602a4, "debugfs_remove" },
	{ 0x71d7723f, "platform_get_resource" },
	{ 0x63b4bb0, "crypto_aead_encrypt" },
	{ 0xd418ce80, "simple_open" },
	{ 0x97a163cb, "crypto_shash_setkey" },
	{ 0x50648449, "_dev_err" },
	{ 0xa339dfb0, "crypto_aead_setkey" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x54f935, "__ll_sc_arch_atomic64_add" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xe95e20a, "crypto_destroy_tfm" },
	{ 0xfdf682d3, "crypto_unregister_ahash" },
	{ 0xef61bdb8, "crypto_register_alg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x9a518b6d, "crypto_aead_decrypt" },
	{ 0x11e97725, "crypto_aead_setauthsize" },
	{ 0x6866dfe7, "crypto_alloc_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f479bb2, "crypto_unregister_aead" },
	{ 0xb486e0de, "crypto_register_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe26d1760, "mbox_free_channel" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0x70bc5e1c, "crypto_unregister_alg" },
	{ 0x986df4a4, "mbox_send_message" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libdes,authenc";

MODULE_ALIAS("of:N*T*Cbrcm,spum-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spum-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spum-nsp-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spum-nsp-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-v2-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-v2-cryptoC*");

MODULE_INFO(srcversion, "2FB2B01EFE4BA941E6E901F");

MODULE_INFO(suserelease, "SLE15-SP3");
