#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x695166fa, "crypto_alloc_skcipher" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x80853e63, "dma_map_sg_attrs" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0x9c029c43, "crypto_alloc_shash" },
	{ 0xc413b898, "dma_unmap_sg_attrs" },
	{ 0x461d16ca, "sg_nents" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56470118, "__warn_printk" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x87b8798d, "sg_next" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x27909b90, "__ll_sc_arch_atomic_sub" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0xdcb764ad, "memset" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9647b840, "crypto_shash_update" },
	{ 0x434b0251, "crypto_unregister_skcipher" },
	{ 0x38583a25, "crypto_shash_digest" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0x5329b4db, "crypto_register_ahash" },
	{ 0x867a5a16, "cxgb4_crypto_send" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x63b4bb0, "crypto_aead_encrypt" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xf8ea268d, "crypto_register_skcipher" },
	{ 0xa339dfb0, "crypto_aead_setkey" },
	{ 0xb294d066, "__alloc_skb" },
	{ 0x29d56baf, "crypto_skcipher_decrypt" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe06e14e2, "kfree_skb" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x9683a43e, "dma_map_page_attrs" },
	{ 0xe95e20a, "crypto_destroy_tfm" },
	{ 0xfdf682d3, "crypto_unregister_ahash" },
	{ 0x2fdcbe9a, "dev_driver_string" },
	{ 0x74b8abdc, "cxgb4_register_uld" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x78a16f48, "aes_decrypt" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x9a518b6d, "crypto_aead_decrypt" },
	{ 0x11e97725, "crypto_aead_setauthsize" },
	{ 0x6866dfe7, "crypto_alloc_aead" },
	{ 0x7a1bcd59, "gf128mul_x8_ble" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f479bb2, "crypto_unregister_aead" },
	{ 0x4772de5d, "cxgb4_port_e2cchan" },
	{ 0xb486e0de, "crypto_register_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0xac112178, "dma_unmap_page_attrs" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29361773, "complete" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc87952d, "crypto_skcipher_encrypt" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=cxgb4,authenc,gf128mul";


MODULE_INFO(srcversion, "79AD8F3C5EBF39480E72B6E");

MODULE_INFO(suserelease, "SLE15-SP3");
