#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x42991c69, "trace_event_raw_init" },
	{ 0xcf95dee4, "trace_event_reg" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5850110, "printk" },
	{ 0x6e5c506c, "of_dma_controller_register" },
	{ 0x623c6a03, "dma_async_device_register" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0xd82d9f, "platform_get_irq" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x7e20dbb6, "devm_request_threaded_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb17efcab, "pm_runtime_enable" },
	{ 0xdc9aa4ab, "pm_runtime_irq_safe" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x62569044, "__devm_reset_control_get" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0x41033ba5, "devm_platform_ioremap_resource" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0xfa881405, "_dev_info" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x87b8798d, "sg_next" },
	{ 0xb7dfce58, "dma_async_tx_descriptor_init" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x88136723, "_dev_warn" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfb3743b7, "__pm_runtime_idle" },
	{ 0x8705bfc5, "__pm_runtime_resume" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xe29e8955, "dma_get_any_slave_channel" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2302d521, "__pm_runtime_disable" },
	{ 0x53c1d7e5, "dma_async_device_unregister" },
	{ 0xbd74d2a1, "of_dma_controller_free" },
	{ 0x2ed92297, "pm_runtime_force_suspend" },
	{ 0x82072614, "tasklet_kill" },
	{ 0xc953d5f8, "pm_runtime_force_resume" },
	{ 0x50648449, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8778cd30, "bpf_trace_run2" },
	{ 0xf4c56ca6, "bpf_trace_run3" },
	{ 0xdaddbd5a, "trace_handle_return" },
	{ 0x8888b156, "trace_seq_printf" },
	{ 0xc93ae2f8, "trace_raw_output_prep" },
	{ 0x2dd200f0, "trace_event_ignore_this_pid" },
	{ 0x72bb2974, "event_triggers_call" },
	{ 0xd8a6cd3d, "trace_event_buffer_commit" },
	{ 0x569b3e1e, "trace_event_buffer_reserve" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x143d9ea8, "perf_trace_run_bpf_submit" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc56a41e6, "vabits_actual" },
	{ 0xc4eae733, "perf_trace_buf_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xdca6fdda, "trace_define_field" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("of:N*T*Cnvidia,tegra148-apbdma");
MODULE_ALIAS("of:N*T*Cnvidia,tegra148-apbdmaC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-apbdma");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-apbdmaC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-apbdma");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-apbdmaC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-apbdma");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-apbdmaC*");

MODULE_INFO(srcversion, "C3DECAB1629D104DC9760F0");

MODULE_INFO(suserelease, "SLE15-SP3");
