#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xe5dafefb, "drm_atomic_helper_bridge_reset" },
	{ 0x8a1af7f2, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x336d800, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0xbc8589b3, "of_drm_find_bridge" },
	{ 0xeae1e2e6, "dw_hdmi_probe" },
	{ 0x15147c5c, "drm_bridge_attach" },
	{ 0x4d9e6c6d, "drm_encoder_init" },
	{ 0x7e20dbb6, "devm_request_threaded_irq" },
	{ 0xd82d9f, "platform_get_irq" },
	{ 0xcef1ec8f, "__devm_regmap_init" },
	{ 0xfa881405, "_dev_info" },
	{ 0x7e14c711, "devm_ioremap_resource" },
	{ 0x71d7723f, "platform_get_resource" },
	{ 0x62569044, "__devm_reset_control_get" },
	{ 0x7467c0c8, "regulator_enable" },
	{ 0x4cbb7451, "devm_regulator_get_optional" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0x247a4a49, "of_node_put" },
	{ 0x988abac7, "of_graph_get_remote_port" },
	{ 0x25f9ec0f, "of_graph_get_endpoint_by_regs" },
	{ 0x44398947, "meson_vclk_setup" },
	{ 0xf1eed245, "meson_venc_hdmi_mode_set" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4a164756, "dw_hdmi_set_high_tmds_clock_ratio" },
	{ 0x6151352a, "of_device_is_compatible" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x7e6ef28e, "component_add" },
	{ 0x50648449, "_dev_err" },
	{ 0xab3638ba, "devm_add_action" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd05df183, "regulator_disable" },
	{ 0x8da4c6e5, "drm_helper_hpd_irq_event" },
	{ 0x2d1c0e80, "dw_hdmi_setup_rx_sense" },
	{ 0x200f221, "drm_encoder_cleanup" },
	{ 0x6ea33aa3, "meson_vclk_dmt_supported_freq" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x70648d27, "drm_mode_is_420_also" },
	{ 0xb6a9a075, "meson_venc_hdmi_supported_mode" },
	{ 0x8093d202, "meson_vclk_vic_supported_freq" },
	{ 0x2c73cfcf, "meson_venc_hdmi_venc_repeat" },
	{ 0x8a58e4c4, "drm_mode_is_420_only" },
	{ 0xab5bee2f, "meson_venc_hdmi_supported_vic" },
	{ 0x2b36c2a4, "drm_mode_vrefresh" },
	{ 0xf1314b9a, "drm_match_cea_mode" },
	{ 0xded886e5, "regmap_write" },
	{ 0xec12af74, "__drm_dbg" },
	{ 0x316212a8, "dw_hdmi_unbind" },
	{ 0xec311ba1, "component_del" },
	{ 0x42926f4a, "dw_hdmi_resume" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x43673eda, "regmap_update_bits_base" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=drm_kms_helper,drm,dw-hdmi,meson-drm";

MODULE_ALIAS("of:N*T*Camlogic,meson-gxbb-dw-hdmi");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxbb-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxl-dw-hdmi");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxl-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxm-dw-hdmi");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxm-dw-hdmiC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-g12a-dw-hdmi");
MODULE_ALIAS("of:N*T*Camlogic,meson-g12a-dw-hdmiC*");

MODULE_INFO(srcversion, "4BE68335E6C9A5ADE6E03EC");

MODULE_INFO(suserelease, "SLE15-SP3");
