#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbe9ec5ee, "drm_panel_unprepare" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0x336d800, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xc51cf1f4, "of_parse_phandle" },
	{ 0x28e636ca, "drm_atomic_helper_connector_reset" },
	{ 0x15147c5c, "drm_bridge_attach" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x63a1b612, "drm_panel_prepare" },
	{ 0x5003472, "of_graph_get_port_by_id" },
	{ 0xd170cfe, "drm_helper_probe_single_connector_modes" },
	{ 0x7e14c711, "devm_ioremap_resource" },
	{ 0xd67da505, "drm_of_find_panel_or_bridge" },
	{ 0x8a1af7f2, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x6151352a, "of_device_is_compatible" },
	{ 0x7b97e9c7, "drm_of_lvds_get_dual_link_pixel_order" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x3e50d43b, "drm_connector_cleanup" },
	{ 0x3a56f27, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x7e5e019f, "soc_device_match" },
	{ 0x88136723, "_dev_warn" },
	{ 0x9a59a788, "drm_mode_copy" },
	{ 0xc5850110, "printk" },
	{ 0x81b67d32, "drm_panel_attach" },
	{ 0x71d7723f, "platform_get_resource" },
	{ 0x50648449, "_dev_err" },
	{ 0x5893f727, "drm_connector_init" },
	{ 0x1bf29491, "of_match_device" },
	{ 0x846bdadb, "drm_panel_disable" },
	{ 0x1a31af17, "drm_atomic_get_crtc_state" },
	{ 0x12a38747, "usleep_range" },
	{ 0xa1b997fb, "drm_atomic_helper_connector_destroy_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x24e6528c, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x9512fc58, "drm_connector_attach_encoder" },
	{ 0xb48eccc4, "drm_bridge_remove" },
	{ 0xe5dafefb, "drm_atomic_helper_bridge_reset" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x6fc4edbc, "drm_panel_detach" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x1dec6248, "drm_panel_enable" },
	{ 0x247a4a49, "of_node_put" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x83cfc6e9, "drm_bridge_add" },
	{ 0xbc8589b3, "of_drm_find_bridge" },
	{ 0xc1ec2b48, "drm_panel_get_modes" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=drm,drm_kms_helper";

MODULE_ALIAS("of:N*T*Crenesas,r8a7743-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7743-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7744-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7744-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a774a1-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a774a1-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a774b1-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a774b1-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a774c0-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a774c0-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7790-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7790-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7791-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7791-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7793-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7793-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7795-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7795-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a7796-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a7796-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77965-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77965-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77970-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77970-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77980-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77980-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77990-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77990-lvdsC*");
MODULE_ALIAS("of:N*T*Crenesas,r8a77995-lvds");
MODULE_ALIAS("of:N*T*Crenesas,r8a77995-lvdsC*");

MODULE_INFO(srcversion, "83F42846412B03EDF4BD880");

MODULE_INFO(suserelease, "SLE15-SP3");
