#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x24161ab4, "sun4i_frontend_enable" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc9b30491, "drm_atomic_helper_update_plane" },
	{ 0xc5604800, "clk_set_rate_exclusive" },
	{ 0x46362aee, "of_dma_configure_id" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0x7e6ef28e, "component_add" },
	{ 0x43673eda, "regmap_update_bits_base" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x3e10c5de, "drm_atomic_get_plane_state" },
	{ 0x5003472, "of_graph_get_port_by_id" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7e14c711, "devm_ioremap_resource" },
	{ 0xd808b81f, "drm_fb_cma_get_gem_addr" },
	{ 0x6151352a, "of_device_is_compatible" },
	{ 0x91372c35, "sun4i_frontend_update_coord" },
	{ 0xff37dfcb, "sun4i_frontend_exit" },
	{ 0xf957eab0, "regmap_read" },
	{ 0xec12af74, "__drm_dbg" },
	{ 0x62569044, "__devm_reset_control_get" },
	{ 0x3e3a5438, "drm_universal_plane_init" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0xa92c1a1b, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xf41f9250, "drm_gem_fb_prepare_fb" },
	{ 0x65b5a117, "drm_plane_create_alpha_property" },
	{ 0x9ff1f5fb, "__devm_regmap_init_mmio_clk" },
	{ 0x88136723, "_dev_warn" },
	{ 0xa631b179, "sun4i_frontend_format_is_supported" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x2bd04fa3, "__drm_atomic_helper_plane_reset" },
	{ 0xc5850110, "printk" },
	{ 0x93c93be2, "of_find_property" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x64708418, "sun4i_frontend_init" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x8da41b01, "sun4i_frontend_update_formats" },
	{ 0x71d7723f, "platform_get_resource" },
	{ 0x50648449, "_dev_err" },
	{ 0xadde141d, "drm_plane_cleanup" },
	{ 0x12a38747, "usleep_range" },
	{ 0xe6e80cef, "__drm_atomic_helper_plane_destroy_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x25f9ec0f, "of_graph_get_endpoint_by_regs" },
	{ 0x81262348, "drm_plane_create_zpos_property" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xf088e422, "of_get_next_available_child" },
	{ 0x4e095f11, "drm_get_format_name" },
	{ 0x8b8d0d4c, "of_graph_get_remote_port_parent" },
	{ 0x37a0cba, "kfree" },
	{ 0xec311ba1, "component_del" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x96413fdb, "sunxi_bt601_yuv2rgb_coef" },
	{ 0x3301fa82, "of_graph_parse_endpoint" },
	{ 0xef64ad64, "sun4i_frontend_update_buffer" },
	{ 0xacb4d88c, "clk_rate_exclusive_put" },
	{ 0x27774ce, "drm_atomic_helper_disable_plane" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x247a4a49, "of_node_put" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xded886e5, "regmap_write" },
	{ 0xd99a0142, "of_graph_get_remote_endpoint" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sun4i-frontend,drm_kms_helper,drm";

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-backendC*");

MODULE_INFO(srcversion, "C745F1EBDC1465B70D61C00");

MODULE_INFO(suserelease, "SLE15-SP3");
