#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xacb9b31c, "drm_release" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x1be5d74c, "drm_dev_register" },
	{ 0xd6f92f47, "drm_compat_ioctl" },
	{ 0x34c6539f, "drm_dev_alloc" },
	{ 0x28482d78, "component_unbind_all" },
	{ 0x7dfd6948, "drm_mode_config_helper_resume" },
	{ 0x1d51b35e, "drm_mode_config_cleanup" },
	{ 0xc51cf1f4, "of_parse_phandle" },
	{ 0xe67ba508, "drm_mode_config_reset" },
	{ 0x5003472, "of_graph_get_port_by_id" },
	{ 0xeb6fb680, "component_bind_all" },
	{ 0x6151352a, "of_device_is_compatible" },
	{ 0x34e617b9, "drm_vblank_init" },
	{ 0x7fdeefd7, "component_master_del" },
	{ 0x7229b815, "drm_of_component_match_add" },
	{ 0xec12af74, "__drm_dbg" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x9fed2931, "of_reserved_mem_device_init_by_idx" },
	{ 0x3b4dd6da, "drm_gem_cma_dumb_create_internal" },
	{ 0xec6672f4, "drm_fbdev_generic_setup" },
	{ 0x12e9a0b9, "drm_dev_put" },
	{ 0xb9056bb6, "remove_conflicting_framebuffers" },
	{ 0x22d05c3b, "drm_atomic_helper_commit_tail_rpm" },
	{ 0x19a2b448, "drm_dev_unregister" },
	{ 0x82a84c13, "of_device_is_available" },
	{ 0x975d1804, "of_match_node" },
	{ 0xb7760d06, "drm_gem_fb_create" },
	{ 0x113fc517, "drm_gem_cma_create_object_default_funcs" },
	{ 0x8c8c9946, "drm_gem_cma_mmap" },
	{ 0x402dc556, "drm_read" },
	{ 0x21e54c09, "noop_llseek" },
	{ 0x5eea8ca7, "drm_mode_config_helper_suspend" },
	{ 0x50648449, "_dev_err" },
	{ 0x350e5dcd, "sun8i_tcon_top_of_table" },
	{ 0x907e4660, "drm_gem_prime_fd_to_handle" },
	{ 0x1285dd1a, "drm_ioctl" },
	{ 0x527e5f75, "of_reserved_mem_device_release" },
	{ 0x3a0bc4b7, "drm_atomic_helper_commit" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe13164ef, "sun4i_frontend_of_table" },
	{ 0x4f9ecd01, "drm_atomic_normalize_zpos" },
	{ 0xdb482269, "drmm_mode_config_init" },
	{ 0xf088e422, "of_get_next_available_child" },
	{ 0xd5fd9abc, "drm_gem_prime_handle_to_fd" },
	{ 0x8b8d0d4c, "of_graph_get_remote_port_parent" },
	{ 0x3301fa82, "of_graph_parse_endpoint" },
	{ 0xdf42bc92, "drm_atomic_helper_shutdown" },
	{ 0x436ef922, "drm_gem_prime_mmap" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xe746230f, "component_master_add_with_match" },
	{ 0x8578933a, "drm_gem_cma_prime_import_sg_table_vmap" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x6c10c7a7, "sun4i_tcon_of_table" },
	{ 0xfbf0e142, "drm_kms_helper_poll_init" },
	{ 0x247a4a49, "of_node_put" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0x7d108470, "drm_poll" },
	{ 0x6f387987, "drm_open" },
	{ 0x940b6f56, "drm_kms_helper_poll_fini" },
	{ 0x72505072, "drm_atomic_helper_check_planes" },
	{ 0x3712a895, "drm_atomic_helper_check_modeset" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=drm,drm_kms_helper,sun8i_tcon_top,sun4i-frontend,sun4i-tcon";

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a10s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a10s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-display-engineC*");

MODULE_INFO(srcversion, "63344864AA4F9242092D404");

MODULE_INFO(suserelease, "SLE15-SP3");
