#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0x26598d4d, "i2c_recover_bus" },
	{ 0xe690d559, "dma_sync_single_for_cpu" },
	{ 0x8b6adc25, "dma_sync_single_for_device" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51bd55b5, "completion_done" },
	{ 0x88136723, "_dev_warn" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd481e5b1, "dev_err_probe" },
	{ 0xdc9aa4ab, "pm_runtime_irq_safe" },
	{ 0x48674802, "dma_alloc_attrs" },
	{ 0x28760718, "dma_request_chan" },
	{ 0x5e266fd2, "i2c_add_numbered_adapter" },
	{ 0x5792f848, "strlcpy" },
	{ 0xfb3743b7, "__pm_runtime_idle" },
	{ 0x8705bfc5, "__pm_runtime_resume" },
	{ 0xb17efcab, "pm_runtime_enable" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xad778d25, "devm_clk_bulk_get" },
	{ 0x6151352a, "of_device_is_compatible" },
	{ 0x93c93be2, "of_find_property" },
	{ 0xba0afba3, "of_property_read_variable_u32_array" },
	{ 0x62569044, "__devm_reset_control_get" },
	{ 0x7e20dbb6, "devm_request_threaded_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd82d9f, "platform_get_irq" },
	{ 0x82faf770, "devm_platform_get_and_ioremap_resource" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x97e2205a, "pinctrl_pm_select_default_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x50648449, "_dev_err" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29361773, "complete" },
	{ 0x2302d521, "__pm_runtime_disable" },
	{ 0xa4c41bfc, "i2c_del_adapter" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9244a863, "dma_release_channel" },
	{ 0xbbbbefa9, "dma_free_attrs" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x2a2cdcab, "pinctrl_pm_select_idle_state" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-vi");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-viC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvc");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvcC*");

MODULE_INFO(srcversion, "C5520836EE7E228C4466038");

MODULE_INFO(suserelease, "SLE15-SP3");
