#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0xadcce3d3, "driver_register" },
	{ 0xf52d9d94, "param_ops_int" },
	{ 0x67480317, "dvb_dmx_init" },
	{ 0xa061a09d, "dvb_unregister_adapter" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xe1c31fec, "dvb_register_frontend" },
	{ 0x3b029d01, "dvb_register_device" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x952b4e43, "fw_bus_type" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa5c69a45, "dvb_unregister_frontend" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd18c236, "dvb_net_release" },
	{ 0xbe7e595d, "fw_iso_context_start" },
	{ 0x25799c3e, "fw_iso_context_queue_flush" },
	{ 0x9deedea5, "input_event" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdcb764ad, "memset" },
	{ 0x6f5a2512, "param_ops_short" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0xbcc3e3a3, "dvb_dmxdev_release" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0x3a5acf73, "dvb_net_init" },
	{ 0xbc2a9cd1, "driver_unregister" },
	{ 0x366223be, "dvb_generic_release" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0x5a921311, "strncmp" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x21e54c09, "noop_llseek" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x9b815b5a, "fw_iso_buffer_destroy" },
	{ 0x43564a59, "dvb_unregister_device" },
	{ 0x50648449, "_dev_err" },
	{ 0x7b0d51ce, "dvb_dmx_release" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfa881405, "_dev_info" },
	{ 0x5dd663f4, "fw_iso_context_queue" },
	{ 0xac4f8bf9, "dvb_generic_ioctl" },
	{ 0xdcf60586, "dvb_dmx_swfilter_packets" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2b859bb1, "input_register_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x634407bb, "dvb_generic_open" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0xfeaac72a, "input_free_device" },
	{ 0xc8e4116a, "fw_core_add_address_handler" },
	{ 0x4ea005d9, "dvb_register_adapter" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x309e4fb2, "fw_iso_context_stop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfd3ccdab, "fw_core_remove_address_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0x11a8b352, "fw_iso_context_create" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4e78be42, "input_unregister_device" },
	{ 0x4df02057, "crc32_be" },
	{ 0x95cce6ef, "param_array_ops" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaf6b6388, "fw_iso_buffer_init" },
	{ 0xbaccc694, "fw_run_transaction" },
	{ 0xda5810e1, "fw_iso_context_destroy" },
	{ 0x331e49cf, "dvb_dmxdev_init" },
	{ 0x1dd6e4c7, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-core,firewire-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "299BAB7D6B19FD1CC1D0B2F");

MODULE_INFO(suserelease, "SLE15-SP3");
