#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xb6a71b96, "sdhci_cqe_disable" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x663730db, "mmc_gpiod_request_ro" },
	{ 0xd08e0f2f, "mmc_gpiod_request_cd" },
	{ 0x6237cf29, "pinctrl_lookup_state" },
	{ 0x557c92a2, "mmc_gpio_get_cd" },
	{ 0xb17efcab, "pm_runtime_enable" },
	{ 0x6ddb37e, "__pm_runtime_use_autosuspend" },
	{ 0x1bd2e7e1, "pm_runtime_set_autosuspend_delay" },
	{ 0xc0e4a49c, "__pm_runtime_set_status" },
	{ 0xbbee9287, "sdhci_add_host" },
	{ 0xe73118c5, "cqhci_init" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0x2668737a, "mmc_of_parse" },
	{ 0xa8895121, "mmc_of_parse_voltage" },
	{ 0xba0afba3, "of_property_read_variable_u32_array" },
	{ 0x93c93be2, "of_find_property" },
	{ 0xbfe52c77, "of_get_property" },
	{ 0x7e278e69, "devm_pinctrl_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0x9a2a65d9, "sdhci_pltfm_init" },
	{ 0x1bf29491, "of_match_device" },
	{ 0x1f873834, "mmc_gpio_get_ro" },
	{ 0xb00891db, "mmc_send_tuning" },
	{ 0x5fd2b49b, "sdhci_execute_tuning" },
	{ 0x3bfb1902, "cqhci_irq" },
	{ 0xfed6b263, "sdhci_cqe_irq" },
	{ 0xdd37495, "sdhci_reset" },
	{ 0xd8b65b16, "pinctrl_select_default_state" },
	{ 0x6ee3a450, "pinctrl_select_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc5850110, "printk" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xef8266db, "sdhci_dumpregs" },
	{ 0x50648449, "_dev_err" },
	{ 0x26cdecc4, "sdhci_cqe_enable" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf170d42c, "sdhci_pltfm_free" },
	{ 0xda643590, "sdhci_remove_host" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0x2302d521, "__pm_runtime_disable" },
	{ 0x8705bfc5, "__pm_runtime_resume" },
	{ 0xebf748ef, "pinctrl_pm_select_sleep_state" },
	{ 0xf89df1ee, "mmc_retune_timer_stop" },
	{ 0x8f8f0fe5, "sdhci_suspend_host" },
	{ 0xa6c1db73, "mmc_gpio_set_cd_wake" },
	{ 0xc94c701e, "sdhci_resume_host" },
	{ 0x97e2205a, "pinctrl_pm_select_default_state" },
	{ 0x31773eed, "sdhci_runtime_suspend_host" },
	{ 0xb7bce347, "cqhci_suspend" },
	{ 0xea44be8d, "cqhci_resume" },
	{ 0x65274a44, "sdhci_runtime_resume_host" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x28a8c058, "pm_qos_add_request" },
	{ 0xa41935ec, "pm_qos_remove_request" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x88136723, "_dev_warn" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sdhci,mmc_core,cqhci,sdhci-pltfm";

MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sll-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sll-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8mm-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx8mm-usdhcC*");
MODULE_ALIAS("platform:sdhci-esdhc-imx25");
MODULE_ALIAS("platform:sdhci-esdhc-imx35");
MODULE_ALIAS("platform:sdhci-esdhc-imx51");

MODULE_INFO(srcversion, "63D53B4E3F2D7E976E2584E");

MODULE_INFO(suserelease, "SLE15-SP3");
