#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xd5384343, "sdhci_set_bus_width" },
	{ 0xb6a71b96, "sdhci_cqe_disable" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0xae42aeb, "sdhci_start_signal_voltage_switch" },
	{ 0x6c816731, "sdhci_request" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb6d6db4c, "sdhci_set_clock" },
	{ 0x40f8207e, "sdhci_set_uhs_signaling" },
	{ 0x6ee3a450, "pinctrl_select_state" },
	{ 0xc5850110, "printk" },
	{ 0x6f9a7cf, "__sdhci_add_host" },
	{ 0xd78c143b, "sdhci_cleanup_host" },
	{ 0xe73118c5, "cqhci_init" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xbbee9287, "sdhci_add_host" },
	{ 0x88136723, "_dev_warn" },
	{ 0xdd259cb5, "sdhci_setup_host" },
	{ 0x91aed0be, "sdhci_enable_v4_mode" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x6237cf29, "pinctrl_lookup_state" },
	{ 0x7e278e69, "devm_pinctrl_get" },
	{ 0x62569044, "__devm_reset_control_get" },
	{ 0x50648449, "_dev_err" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0x853a76f3, "devm_gpiod_get_optional" },
	{ 0x9d17f6f5, "device_property_read_u32_array" },
	{ 0x2a237810, "device_property_present" },
	{ 0x2668737a, "mmc_of_parse" },
	{ 0x9a2a65d9, "sdhci_pltfm_init" },
	{ 0x1bf29491, "of_match_device" },
	{ 0xef8266db, "sdhci_dumpregs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x26cdecc4, "sdhci_cqe_enable" },
	{ 0x56470118, "__warn_printk" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x5fd2b49b, "sdhci_execute_tuning" },
	{ 0xf170d42c, "sdhci_pltfm_free" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xda643590, "sdhci_remove_host" },
	{ 0xb7bce347, "cqhci_suspend" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8f8f0fe5, "sdhci_suspend_host" },
	{ 0xea44be8d, "cqhci_resume" },
	{ 0xc94c701e, "sdhci_resume_host" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3bfb1902, "cqhci_irq" },
	{ 0xfed6b263, "sdhci_cqe_irq" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x13372e00, "__sdhci_set_timeout" },
	{ 0x9853d869, "dma_set_coherent_mask" },
	{ 0x69a7000f, "dma_set_mask" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x1f873834, "mmc_gpio_get_ro" },
	{ 0xe632d6cc, "regulator_is_supported_voltage" },
	{ 0xb00891db, "mmc_send_tuning" },
	{ 0xdd37495, "sdhci_reset" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12a38747, "usleep_range" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sdhci,cqhci,mmc_core,sdhci-pltfm";

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhciC*");

MODULE_INFO(srcversion, "1BB2EC6950264D98AF430FD");

MODULE_INFO(suserelease, "SLE15-SP3");
