#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xa086f07a, "eth_validate_addr" },
	{ 0x59ef61c7, "eth_mac_addr" },
	{ 0xd0e9bd2a, "usb_deregister" },
	{ 0x7faadac0, "usb_register_driver" },
	{ 0xeef756db, "usb_autopm_get_interface" },
	{ 0x3f21dfb8, "__dev_kfree_skb_any" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0x822bc1b8, "pskb_expand_head" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x58bcfb93, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9691f4b1, "usb_alloc_coherent" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfa881405, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2ebfdcd5, "usb_reset_configuration" },
	{ 0x7e07fa14, "alloc_etherdev_mqs" },
	{ 0x9c852402, "release_firmware" },
	{ 0x2fc96dcd, "request_firmware" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd4a12c07, "usb_alloc_urb" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x7cc2907f, "netif_carrier_on" },
	{ 0xac990b70, "usb_autopm_put_interface" },
	{ 0x17d4c3f4, "__dev_kfree_skb_irq" },
	{ 0x6baf939c, "netif_tx_wake_queue" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x4a41c313, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88136723, "_dev_warn" },
	{ 0x87d5228a, "__dynamic_netdev_dbg" },
	{ 0x4e729af7, "free_netdev" },
	{ 0xc68cb231, "usb_free_coherent" },
	{ 0x6a324230, "usb_free_urb" },
	{ 0xfac9c18b, "unregister_netdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4c17dc5d, "usb_kill_urb" },
	{ 0xa2adf4f2, "netif_rx" },
	{ 0x3629679b, "eth_type_trans" },
	{ 0x25143d05, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdc620f1b, "__netdev_alloc_skb" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x50648449, "_dev_err" },
	{ 0x562462d4, "usb_submit_urb" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "FEE2A3416AD8C60D5C82472");

MODULE_INFO(suserelease, "SLE15-SP3");
