#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x9d28af69, "param_ops_bool" },
	{ 0xb9c5c995, "usbnet_disconnect" },
	{ 0x6aaa4de8, "usbnet_probe" },
	{ 0x3e1767ee, "ethtool_op_get_ts_info" },
	{ 0x5010875f, "usbnet_get_link" },
	{ 0xbf82c234, "usbnet_nway_reset" },
	{ 0x5dbc876a, "usbnet_set_msglevel" },
	{ 0x714c6071, "usbnet_get_msglevel" },
	{ 0xb0a25c89, "usbnet_get_drvinfo" },
	{ 0xfdb33bb7, "usbnet_get_stats64" },
	{ 0x74b51b8, "usbnet_tx_timeout" },
	{ 0x4e877ba2, "usbnet_change_mtu" },
	{ 0xa086f07a, "eth_validate_addr" },
	{ 0x59ef61c7, "eth_mac_addr" },
	{ 0x5c99cc47, "usbnet_start_xmit" },
	{ 0x291314b6, "usbnet_stop" },
	{ 0x3ca57195, "usbnet_open" },
	{ 0xd0e9bd2a, "usb_deregister" },
	{ 0x7faadac0, "usb_register_driver" },
	{ 0xf0736ce1, "usbnet_link_change" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x59d19f0a, "of_get_mac_address" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x3db99d88, "usbnet_get_endpoints" },
	{ 0xc5850110, "printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc4de8c7e, "usb_autopm_get_interface_no_resume" },
	{ 0xac990b70, "usb_autopm_put_interface" },
	{ 0xd89b37f0, "netdev_info" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x1dd16b8, "usbnet_suspend" },
	{ 0x4e95af7b, "usbnet_skb_return" },
	{ 0x8821dd30, "skb_trim" },
	{ 0x922f8ead, "skb_clone" },
	{ 0xfa5b2764, "skb_pull" },
	{ 0x2800fd4b, "usbnet_resume" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x40a00de7, "mii_nway_restart" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2e2a9ce, "usbnet_set_link_ksettings" },
	{ 0x21b7755b, "mii_ethtool_gset" },
	{ 0x278d4d0b, "mii_check_media" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x55dea9d8, "usbnet_read_cmd" },
	{ 0x36445d82, "usbnet_read_cmd_nopm" },
	{ 0xb5365f8f, "usbnet_write_cmd" },
	{ 0x696e84e0, "usbnet_write_cmd_nopm" },
	{ 0xbd6841d4, "crc16" },
	{ 0x6b0400df, "generic_mii_ioctl" },
	{ 0x1f3026c0, "device_set_wakeup_enable" },
	{ 0x1adc72b6, "usbnet_get_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x96c7c367, "usbnet_write_cmd_async" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x79f11fd4, "netdev_warn" },
	{ 0x87d5228a, "__dynamic_netdev_dbg" },
	{ 0xc0fadc8a, "usbnet_defer_kevent" },
	{ 0x3f21dfb8, "__dev_kfree_skb_any" },
	{ 0x822bc1b8, "pskb_expand_head" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x52cbee8f, "skb_push" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii";

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CA00E4A06D9DA724864262B");

MODULE_INFO(suserelease, "SLE15-SP3");
