#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xeb1505e2, "orinoco_tx_timeout" },
	{ 0x983c858b, "orinoco_change_mtu" },
	{ 0xa086f07a, "eth_validate_addr" },
	{ 0x59ef61c7, "eth_mac_addr" },
	{ 0x2fba9793, "orinoco_set_multicast_list" },
	{ 0xb506d924, "orinoco_stop" },
	{ 0x4516ed7a, "orinoco_open" },
	{ 0xd0e9bd2a, "usb_deregister" },
	{ 0x7faadac0, "usb_register_driver" },
	{ 0x9c852402, "release_firmware" },
	{ 0xdb020414, "orinoco_if_add" },
	{ 0xa5e08a5c, "orinoco_init" },
	{ 0x2fc96dcd, "request_firmware" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xe6567086, "alloc_orinocodev" },
	{ 0x434df404, "__orinoco_ev_rx" },
	{ 0xef3124b6, "__orinoco_ev_info" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0xdcb764ad, "memset" },
	{ 0xf87d7f09, "orinoco_process_xmit_skb" },
	{ 0x9809b34, "consume_skb" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x4005f38c, "try_wait_for_completion" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x87d5228a, "__dynamic_netdev_dbg" },
	{ 0xe2d9b93a, "usb_control_msg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd4a12c07, "usb_alloc_urb" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x562462d4, "usb_submit_urb" },
	{ 0xabb35381, "free_orinocodev" },
	{ 0x31e6757a, "wiphy_unregister" },
	{ 0xec94d647, "orinoco_if_del" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0x4a41c313, "usb_unlink_urb" },
	{ 0x8d5569f1, "__ll_sc_arch_atomic_fetch_add_relaxed" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x4c17dc5d, "usb_kill_urb" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x6baf939c, "netif_tx_wake_queue" },
	{ 0xfd94814e, "complete_all" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xc5850110, "printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a324230, "usb_free_urb" },
	{ 0x4bd81dfb, "__ll_sc_arch_atomic_fetch_sub_release" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "FBCBB22F81DA63B0F1C6D19");

MODULE_INFO(suserelease, "SLE15-SP3");
