#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x9d28af69, "param_ops_bool" },
	{ 0x81f5e7d6, "rt2x00usb_resume" },
	{ 0x889475b7, "rt2x00usb_suspend" },
	{ 0x87cfa37a, "rt2x00usb_disconnect" },
	{ 0x50527e6e, "rt2x00mac_tx_frames_pending" },
	{ 0x5532e288, "rt2x00mac_get_ringparam" },
	{ 0x7ea73169, "rt2x00mac_get_antenna" },
	{ 0x40be6d81, "rt2x00mac_set_antenna" },
	{ 0x37b46986, "rt2x00mac_flush" },
	{ 0x478c4799, "rt2x00mac_rfkill_poll" },
	{ 0x2279c73e, "rt2x00mac_conf_tx" },
	{ 0xc0517681, "rt2x00mac_get_stats" },
	{ 0x225bc426, "rt2x00mac_sw_scan_complete" },
	{ 0x2fe54b04, "rt2x00mac_sw_scan_start" },
	{ 0xa1e268bc, "rt2x00mac_set_key" },
	{ 0xa3ec3701, "rt2x00mac_set_tim" },
	{ 0xce8ef68f, "rt2x00mac_configure_filter" },
	{ 0x2f0a406c, "rt2x00mac_bss_info_changed" },
	{ 0x28a73d00, "rt2x00mac_config" },
	{ 0xf01c61b3, "rt2x00mac_remove_interface" },
	{ 0xedcc367, "rt2x00mac_add_interface" },
	{ 0xf24a0320, "rt2x00mac_stop" },
	{ 0x2af33d55, "rt2x00mac_start" },
	{ 0xa38720fb, "rt2x00mac_tx" },
	{ 0x937e1581, "rt2x00usb_flush_queue" },
	{ 0xf0dd7f11, "rt2x00usb_kick_queue" },
	{ 0xf448f35, "rt2x00usb_watchdog" },
	{ 0x766efee2, "rt2x00usb_clear_entry" },
	{ 0x58d768c6, "rt2x00usb_uninitialize" },
	{ 0xe011b9b, "rt2x00usb_initialize" },
	{ 0xd0e9bd2a, "usb_deregister" },
	{ 0x7faadac0, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xfa881405, "_dev_info" },
	{ 0xb3d1502d, "rt2x00lib_set_mac_address" },
	{ 0x18369a1e, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x449f53fe, "rt2x00usb_disable_radio" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x50648449, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf2ed529, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x52cbee8f, "skb_push" },
	{ 0x562462d4, "usb_submit_urb" },
	{ 0x9809b34, "consume_skb" },
	{ 0x8821dd30, "skb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3c09815a, "rt2x00usb_vendor_request_buff" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x57bff709, "rt2x00usb_probe" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00usb,rt2x00lib,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8154671DCE24417F94C90BA");

MODULE_INFO(suserelease, "SLE15-SP3");
