#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf60dc907, "pci_bus_type" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc9ff4c8c, "usb_add_hcd" },
	{ 0x2302d521, "__pm_runtime_disable" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0xa9755379, "usb_remove_hcd" },
	{ 0x69a7000f, "dma_set_mask" },
	{ 0x84bc3f3b, "__usb_create_hcd" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x7e14c711, "devm_ioremap_resource" },
	{ 0x8705bfc5, "__pm_runtime_resume" },
	{ 0xe574bfea, "pm_runtime_forbid" },
	{ 0xcd4f8fbb, "devm_clk_get_optional" },
	{ 0x9853d869, "dma_set_coherent_mask" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x1147afe4, "usb_put_hcd" },
	{ 0xea03b473, "xhci_init_driver" },
	{ 0xdeb23a52, "usb_hcd_is_primary_hcd" },
	{ 0xaac9239f, "xhci_run" },
	{ 0xc5850110, "printk" },
	{ 0x7e3ede15, "xhci_resume" },
	{ 0x71d7723f, "platform_get_resource" },
	{ 0x6b4b2933, "__ioremap" },
	{ 0x9d17f6f5, "device_property_read_u32_array" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0xb17efcab, "pm_runtime_enable" },
	{ 0x856092f6, "cpu_hwcaps" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc0e4a49c, "__pm_runtime_set_status" },
	{ 0xc3fa40cc, "cpu_hwcap_keys" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc665551e, "devm_usb_get_phy_by_phandle" },
	{ 0x24cc50f, "of_usb_host_tpl_support" },
	{ 0x370443ce, "xhci_gen_setup" },
	{ 0x45a55ec8, "__iounmap" },
	{ 0xd82d9f, "platform_get_irq" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x406bdd3d, "xhci_suspend" },
	{ 0xb2ead97c, "kimage_vaddr" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0x8fa81c6, "of_fwnode_ops" },
	{ 0x4f963589, "device_set_wakeup_capable" },
	{ 0xb68f961c, "is_acpi_device_node" },
	{ 0xff03dc89, "usb_hcd_platform_shutdown" },
	{ 0x2a237810, "device_property_present" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,xhci-hcd";

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796C*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhciC*");

MODULE_INFO(srcversion, "B7410894FEB89504692FC45");

MODULE_INFO(suserelease, "SLE15-SP3");
