#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x4ed694b, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf6d5389b, "snd_hda_gen_free" },
	{ 0x33e18bf, "snd_hda_codec_get_pin_target" },
	{ 0x2ebf799, "snd_hda_mixer_amp_volume_put" },
	{ 0xcc83b9c5, "snd_hda_input_mux_info" },
	{ 0xa1659983, "snd_hda_gen_parse_auto_config" },
	{ 0xfc9e0246, "snd_hda_apply_fixup" },
	{ 0xa6a2bea1, "snd_hda_pick_fixup" },
	{ 0x61128d0b, "snd_hda_mixer_amp_tlv" },
	{ 0x9bfa4427, "snd_hda_gen_build_pcms" },
	{ 0x3ee8eb14, "snd_hda_jack_unsol_event" },
	{ 0x6af5db1f, "snd_hda_gen_update_outputs" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa7a06733, "snd_hda_get_path_from_idx" },
	{ 0x1e7d966d, "snd_hda_mixer_amp_volume_get" },
	{ 0x6731bbac, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x5c3d9644, "snd_hda_gen_check_power_status" },
	{ 0x93727a8c, "snd_hda_codec_set_pin_target" },
	{ 0xf744b9f1, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x55257563, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x4ddccdbf, "snd_hda_activate_path" },
	{ 0xd7aa24e9, "snd_hda_gen_init" },
	{ 0x1e4f7de6, "snd_hda_parse_pin_defcfg" },
	{ 0x1c6be123, "snd_hda_jack_set_gating_jack" },
	{ 0xcb8016af, "__hda_codec_driver_register" },
	{ 0x66741d75, "snd_hda_override_amp_caps" },
	{ 0x4ce89f09, "snd_ctl_boolean_mono_info" },
	{ 0xfa881405, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x630990f8, "_snd_hdac_read_parm" },
	{ 0x1cf3170b, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xc7718a94, "snd_hda_gen_reboot_notify" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x5aa36665, "snd_hda_gen_add_kctl" },
	{ 0x41530c5f, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xc87c5051, "snd_hdac_codec_write" },
	{ 0xb90698ec, "snd_hda_add_new_path" },
	{ 0xe0752edf, "hda_codec_driver_unregister" },
	{ 0x8370f089, "snd_hda_mixer_amp_switch_info" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x7a74f525, "snd_hda_gen_spec_init" },
	{ 0x7d1baa2, "snd_hda_jack_detect_state_mst" },
	{ 0x13cc0a05, "snd_hdac_regmap_read_raw" },
	{ 0x22873c80, "snd_hda_mixer_amp_volume_info" },
	{ 0x397e1112, "query_amp_caps" },
	{ 0xa9ec7091, "snd_hda_gen_mic_autoswitch" },
	{ 0x77e14332, "snd_hda_gen_build_controls" },
	{ 0x5c040cb2, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "2B97A10F91CDAEF390D294B");

MODULE_INFO(suserelease, "SLE15-SP3");
