#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x4364cd76, "snd_soc_dapm_get_enum_double" },
	{ 0xe001f53, "regmap_register_patch" },
	{ 0x68bb7731, "i2c_del_driver" },
	{ 0x262b0c00, "snd_soc_dapm_get_volsw" },
	{ 0x43673eda, "regmap_update_bits_base" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb96084d0, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6f520d60, "snd_soc_component_update_bits" },
	{ 0x700aaaac, "snd_soc_put_volsw" },
	{ 0xf957eab0, "regmap_read" },
	{ 0x8fed018c, "snd_soc_get_volsw" },
	{ 0x6ebe3cc4, "devm_regulator_bulk_get" },
	{ 0x1512acfd, "regulator_bulk_enable" },
	{ 0x8bfc356c, "snd_soc_info_enum_double" },
	{ 0x2b791415, "snd_soc_dapm_add_routes" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x88136723, "_dev_warn" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x566d9df9, "snd_soc_dapm_force_bias_level" },
	{ 0x399b74e4, "snd_soc_dapm_put_volsw" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x50648449, "_dev_err" },
	{ 0xe869bfe9, "snd_soc_info_volsw" },
	{ 0xf5af9d1e, "i2c_register_driver" },
	{ 0xfa881405, "_dev_info" },
	{ 0x5fa15325, "snd_soc_get_enum_double" },
	{ 0x9d17f6f5, "device_property_read_u32_array" },
	{ 0x226863, "regulator_bulk_disable" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3add791c, "__devm_regmap_init_i2c" },
	{ 0x43cbd1a7, "devm_snd_soc_register_component" },
	{ 0xbd6bb821, "snd_soc_dapm_sync" },
	{ 0x99be6316, "snd_soc_component_write" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x853a76f3, "devm_gpiod_get_optional" },
	{ 0xf8280a86, "gpiod_get_value" },
	{ 0x8f0af526, "regcache_mark_dirty" },
	{ 0xaacab5f8, "snd_soc_put_enum_double" },
	{ 0x7896fa56, "snd_soc_dapm_force_enable_pin" },
	{ 0xfc975b97, "snd_soc_dapm_disable_pin" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x20686e57, "snd_soc_component_read" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x751cc6ec, "snd_soc_jack_report" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xe95a4949, "param_ops_uint" },
	{ 0xded886e5, "regmap_write" },
	{ 0x9dc75d6b, "regcache_sync" },
	{ 0xf940b173, "regcache_cache_only" },
	{ 0x2a237810, "device_property_present" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd1b953b, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core,snd-soc-rl6231";

MODULE_ALIAS("i2c:rt5645");
MODULE_ALIAS("i2c:rt5650");
MODULE_ALIAS("acpi*:10EC5645:*");
MODULE_ALIAS("acpi*:10EC5648:*");
MODULE_ALIAS("acpi*:10EC5650:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC3270:*");
MODULE_ALIAS("of:N*T*Crealtek,rt5645");
MODULE_ALIAS("of:N*T*Crealtek,rt5645C*");
MODULE_ALIAS("of:N*T*Crealtek,rt5650");
MODULE_ALIAS("of:N*T*Crealtek,rt5650C*");

MODULE_INFO(srcversion, "F1B8E001F345DC096CA5909");

MODULE_INFO(suserelease, "SLE15-SP3");
