#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x695166fa, "crypto_alloc_skcipher" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7144a0d0, "caam_drv_ctx_update" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x80853e63, "dma_map_sg_attrs" },
	{ 0x9df22045, "devm_hwrng_register" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0x5bbdfa26, "scatterwalk_ffwd" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0x6168d004, "crypto_register_akcipher" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xf7f8e13d, "irq_of_parse_and_map" },
	{ 0x30a1e372, "cnstr_shdsc_sk_hash" },
	{ 0xc413b898, "dma_unmap_sg_attrs" },
	{ 0xfdf7ec8f, "cnstr_shdsc_rfc4106_encap" },
	{ 0x69a7000f, "dma_set_mask" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0x5918c718, "crypto_transfer_skcipher_request_to_engine" },
	{ 0xa99d7fa6, "cnstr_shdsc_aead_null_decap" },
	{ 0xebcdd349, "cnstr_shdsc_skcipher_encap" },
	{ 0xf95bcf62, "cnstr_shdsc_gcm_encap" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x31035508, "caam_strstatus" },
	{ 0x88430d4c, "cnstr_shdsc_aead_null_encap" },
	{ 0x56470118, "__warn_printk" },
	{ 0x867bfff6, "crypto_engine_alloc_init" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87b8798d, "sg_next" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xf92c5da5, "cnstr_shdsc_gcm_decap" },
	{ 0x6151352a, "of_device_is_compatible" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xe97810c1, "caam_drv_ctx_rel" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x17572340, "caam_congested" },
	{ 0xf8f79a8f, "crypto_finalize_aead_request" },
	{ 0x845dbf3b, "scatterwalk_map_and_copy" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x9853d869, "dma_set_coherent_mask" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x27909b90, "__ll_sc_arch_atomic_sub" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0x57873577, "crypto_transfer_aead_request_to_engine" },
	{ 0x88136723, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0xe8a807c8, "sg_miter_start" },
	{ 0xc5850110, "printk" },
	{ 0xa22bcbf3, "devres_open_group" },
	{ 0x434b0251, "crypto_unregister_skcipher" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0xd57f69a8, "crypto_engine_start" },
	{ 0x1cc26aea, "sg_miter_stop" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0x5329b4db, "crypto_register_ahash" },
	{ 0xfb4467b3, "caam_qi_enqueue" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x71d7723f, "platform_get_resource" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0xa340e264, "cnstr_shdsc_aead_givencap" },
	{ 0xf7fa8c4a, "crypto_unregister_akcipher" },
	{ 0x2e152bb7, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x50648449, "_dev_err" },
	{ 0xf8ea268d, "crypto_register_skcipher" },
	{ 0x3b54a9ad, "cnstr_shdsc_aead_decap" },
	{ 0xeb4a2a56, "sg_miter_next" },
	{ 0x348f5e1, "crypto_transfer_hash_request_to_engine" },
	{ 0xfd807e48, "cnstr_shdsc_rfc4106_decap" },
	{ 0x82072614, "tasklet_kill" },
	{ 0xab3638ba, "devm_add_action" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x91ac0969, "cnstr_shdsc_aead_encap" },
	{ 0xfa881405, "_dev_info" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x29d56baf, "crypto_skcipher_decrypt" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0x37734e06, "caam_dpaa2" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4f3aabda, "crypto_finalize_hash_request" },
	{ 0x76a68e3e, "cnstr_shdsc_chachapoly" },
	{ 0x36b99cf1, "crypto_transfer_akcipher_request_to_engine" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x9683a43e, "dma_map_page_attrs" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0xe95e20a, "crypto_destroy_tfm" },
	{ 0xfdf682d3, "crypto_unregister_ahash" },
	{ 0x2fdcbe9a, "dev_driver_string" },
	{ 0xb5571dbf, "cnstr_shdsc_ahash" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa3115081, "cnstr_shdsc_skcipher_decap" },
	{ 0x5973ba, "crypto_engine_exit" },
	{ 0x37a0cba, "kfree" },
	{ 0xfeb08e12, "crypto_finalize_skcipher_request" },
	{ 0x3f479bb2, "crypto_unregister_aead" },
	{ 0xb486e0de, "crypto_register_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b6adc25, "dma_sync_single_for_device" },
	{ 0x4780e415, "devm_ioremap" },
	{ 0x7b0c587f, "cnstr_shdsc_rfc4543_decap" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xac112178, "dma_unmap_page_attrs" },
	{ 0x7a4497db, "kzfree" },
	{ 0x7b7bcab8, "cnstr_shdsc_rfc4543_encap" },
	{ 0xc0eaa792, "qi_cache_alloc" },
	{ 0xd25da602, "caam_dump_sg" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x7efba739, "dmam_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0xb10e7df4, "__kfifo_dma_in_prepare" },
	{ 0x86bcdec7, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0xff7c4810, "devres_close_group" },
	{ 0x2327c310, "caam_drv_ctx_init" },
	{ 0x7e20dbb6, "devm_request_threaded_irq" },
	{ 0xcd6e4c3e, "devres_release_group" },
	{ 0x44ae4bc4, "qi_cache_free" },
	{ 0xbd67c092, "caam_imx" },
	{ 0x706c8828, "crypto_finalize_akcipher_request" },
	{ 0xc87952d, "crypto_skcipher_encrypt" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=caam,caamhash_desc,caamalg_desc,error,crypto_engine,libdes,authenc";

MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ringC*");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ringC*");

MODULE_INFO(srcversion, "E2826868681454A568090D2");

MODULE_INFO(suserelease, "SLE15-SP3");
