#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x906dd54f, "vb2_ioctl_streamoff" },
	{ 0xea65e8ad, "vb2_ioctl_streamon" },
	{ 0xcd0289a, "vb2_ioctl_prepare_buf" },
	{ 0xc8809e01, "vb2_ioctl_create_bufs" },
	{ 0x354cbe3, "vb2_ioctl_dqbuf" },
	{ 0x3ddfd796, "vb2_ioctl_qbuf" },
	{ 0x5333f1c, "vb2_ioctl_querybuf" },
	{ 0xabd8bebe, "vb2_ioctl_reqbufs" },
	{ 0xa78424ef, "vb2_fop_release" },
	{ 0x23d07376, "v4l2_fh_open" },
	{ 0xf8b75062, "vb2_fop_mmap" },
	{ 0xde9bcfa7, "video_ioctl2" },
	{ 0x3284997d, "vb2_fop_poll" },
	{ 0x8a6fa4b4, "vb2_fop_read" },
	{ 0xa5bdad64, "vb2_ops_wait_finish" },
	{ 0x99b92f56, "vb2_ops_wait_prepare" },
	{ 0x68bb7731, "i2c_del_driver" },
	{ 0xf5af9d1e, "i2c_register_driver" },
	{ 0x33b45931, "wake_up_process" },
	{ 0x412d9f25, "kthread_create_on_node" },
	{ 0xd5708f80, "kthread_stop" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0xded886e5, "regmap_write" },
	{ 0x88136723, "_dev_warn" },
	{ 0xeb9b1569, "__video_register_device" },
	{ 0xbbceb097, "devm_nvmem_register" },
	{ 0x6ddb37e, "__pm_runtime_use_autosuspend" },
	{ 0x1bd2e7e1, "pm_runtime_set_autosuspend_delay" },
	{ 0xb17efcab, "pm_runtime_enable" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1d65c123, "vb2_queue_init" },
	{ 0x8a6c15c7, "vb2_vmalloc_memops" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x68a06bfc, "v4l2_device_register" },
	{ 0x54dd3863, "__regmap_init_i2c" },
	{ 0x59dad577, "device_get_match_data" },
	{ 0x62b427ed, "dev_fwnode" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xf2090e57, "freezing_slow_path" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x15664378, "vb2_buffer_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe8a2413c, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfcf20899, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x92a05eb7, "regmap_exit" },
	{ 0xa16269f8, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6faff5f5, "video_unregister_device" },
	{ 0xc0e4a49c, "__pm_runtime_set_status" },
	{ 0x2302d521, "__pm_runtime_disable" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0x2c424d7e, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8705bfc5, "__pm_runtime_resume" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8d30a2c2, "devm_hwmon_device_register_with_info" },
	{ 0xcb759ba6, "regmap_get_device" },
	{ 0x43673eda, "regmap_update_bits_base" },
	{ 0x1cae2874, "regmap_bulk_read" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "SLE15-SP3");
