#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xf52d9d94, "param_ops_int" },
	{ 0x474fca77, "v4l2_event_unsubscribe" },
	{ 0x56d09dfe, "v4l2_ctrl_subscribe_event" },
	{ 0x7191c7b7, "v4l2_ctrl_log_status" },
	{ 0xde9bcfa7, "video_ioctl2" },
	{ 0xd0e9bd2a, "usb_deregister" },
	{ 0x7faadac0, "usb_register_driver" },
	{ 0xa1be0025, "videobuf_read_one" },
	{ 0xd39b3f65, "videobuf_streamon" },
	{ 0x906d73c8, "videobuf_queue_is_busy" },
	{  0xcfd3f, "v4l2_fh_release" },
	{ 0xe2d9b93a, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a1c244c, "videobuf_mmap_mapper" },
	{ 0xc41d3213, "videobuf_iolock" },
	{ 0x62217307, "videobuf_vmalloc_free" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0xb1b55adc, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x50648449, "_dev_err" },
	{ 0xeb9b1569, "__video_register_device" },
	{ 0x12cc0d87, "videobuf_queue_vmalloc_init" },
	{ 0x57b644e0, "v4l2_ctrl_handler_setup" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2f3fc31f, "video_device_release_empty" },
	{ 0xdcb764ad, "memset" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x28f3b8a2, "v4l2_ctrl_new_std" },
	{ 0x64105c5, "v4l2_ctrl_handler_init_class" },
	{ 0x68a06bfc, "v4l2_device_register" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdfdf6b2, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0x11f41baa, "videobuf_mmap_free" },
	{ 0xa16269f8, "v4l2_device_unregister" },
	{ 0x1631cc26, "videobuf_poll_stream" },
	{ 0xa1624c2a, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x23d07376, "v4l2_fh_open" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x8a9fceb8, "videobuf_reqbufs" },
	{ 0xbd7f7b89, "videobuf_querybuf" },
	{ 0x8b8730f5, "videobuf_qbuf" },
	{ 0x2e336380, "videobuf_dqbuf" },
	{ 0x60e8119e, "videobuf_streamoff" },
	{ 0xfcf20899, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0xbfe7339d, "v4l2_device_put" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xc44ee302, "v4l2_device_disconnect" },
	{ 0x6faff5f5, "video_unregister_device" },
	{ 0xfa881405, "_dev_info" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x6a324230, "usb_free_urb" },
	{ 0x4c17dc5d, "usb_kill_urb" },
	{ 0x562462d4, "usb_submit_urb" },
	{ 0xd4a12c07, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-core,videobuf-vmalloc";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "SLE15-SP3");
