#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1cfe4e63, "nand_subop_get_data_start_off" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x21a3e0bd, "nand_subop_get_data_len" },
	{ 0x14327b8f, "nand_subop_get_num_addr_cyc" },
	{ 0xb1e7d328, "nand_subop_get_addr_start_off" },
	{ 0x3ca3f181, "nand_op_parser_exec_op" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ecbb3b8, "nand_check_erased_ecc_chunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc413b898, "dma_unmap_sg_attrs" },
	{ 0x80853e63, "dma_map_sg_attrs" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4829a47e, "memcpy" },
	{ 0x88136723, "_dev_warn" },
	{ 0xf1a85cbd, "of_device_get_match_data" },
	{ 0x43673eda, "regmap_update_bits_base" },
	{ 0xded886e5, "regmap_write" },
	{ 0x9d18fd7c, "syscon_regmap_lookup_by_phandle" },
	{ 0x247a4a49, "of_node_put" },
	{ 0x6b202a4e, "of_get_next_child" },
	{ 0x7e20dbb6, "devm_request_threaded_irq" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0xd82d9f, "platform_get_irq" },
	{ 0x7e14c711, "devm_ioremap_resource" },
	{ 0x71d7723f, "platform_get_resource" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xf54d7ef5, "nand_read_data_op" },
	{ 0x63eae6d7, "nand_change_read_column_op" },
	{ 0xc8e5fe96, "nand_read_page_op" },
	{ 0x9f666a74, "nand_prog_page_end_op" },
	{ 0xe4564bc9, "nand_write_data_op" },
	{ 0xd26296b7, "nand_change_write_column_op" },
	{ 0x5a2da714, "nand_prog_page_begin_op" },
	{ 0x29361773, "complete" },
	{ 0x708ad363, "nand_cleanup" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc1a51a16, "of_property_read_string" },
	{ 0x1000a732, "of_property_count_elems_of_size" },
	{ 0xd33877d, "of_property_read_u32_index" },
	{ 0xdea56f23, "mtd_device_parse_register" },
	{ 0xef98329b, "nand_scan_with_ids" },
	{ 0x93c93be2, "of_find_property" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xfa881405, "_dev_info" },
	{ 0x1daa3d03, "devm_kasprintf" },
	{ 0x50648449, "_dev_err" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xdcb764ad, "memset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9244a863, "dma_release_channel" },
	{ 0xd1f4f842, "nand_release" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nand,mtd";

MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nandC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nandC*");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nandC*");
MODULE_ALIAS("platform:pxa3xx-nand");

MODULE_INFO(srcversion, "171C957F18DFD0C3DB3EAAB");

MODULE_INFO(suserelease, "SLE15-SP3");
