#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xd89b37f0, "netdev_info" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x7647ebec, "register_candev" },
	{ 0x7313f995, "alloc_can_err_skb" },
	{ 0x16081ffb, "can_dlc2len" },
	{ 0x7cc2907f, "netif_carrier_on" },
	{ 0x420186c5, "netif_carrier_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x87d5228a, "__dynamic_netdev_dbg" },
	{ 0xd8b363da, "usb_unanchor_urb" },
	{ 0xe3115b81, "can_bus_off" },
	{ 0xa2adf4f2, "netif_rx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x88136723, "_dev_warn" },
	{ 0xa338125c, "close_candev" },
	{ 0x6baf939c, "netif_tx_wake_queue" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0xd0e9bd2a, "usb_deregister" },
	{ 0xc5850110, "printk" },
	{ 0x254ee293, "alloc_candev_mqs" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0xeb48fbb, "free_candev" },
	{ 0xc68cb231, "usb_free_coherent" },
	{ 0x50648449, "_dev_err" },
	{ 0xb43d255, "can_change_mtu" },
	{ 0xdea441a5, "can_change_state" },
	{ 0xfa881405, "_dev_info" },
	{ 0x562462d4, "usb_submit_urb" },
	{ 0x513827f8, "unregister_candev" },
	{ 0xab142b65, "netif_device_detach" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x23cf477b, "alloc_can_skb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7a78d789, "usb_bulk_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe06e14e2, "kfree_skb" },
	{ 0xe99f33dc, "netdev_err" },
	{ 0xd30241db, "open_candev" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x79f11fd4, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7faadac0, "usb_register_driver" },
	{ 0xd5f18bfc, "alloc_canfd_skb" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8762619a, "can_len2dlc" },
	{ 0x29361773, "complete" },
	{ 0x6ecedcd3, "can_get_echo_skb" },
	{ 0x9809b34, "consume_skb" },
	{ 0x9691f4b1, "usb_alloc_coherent" },
	{ 0xbec0cb16, "can_put_echo_skb" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0xae679284, "can_free_echo_skb" },
	{ 0x6a324230, "usb_free_urb" },
	{ 0x6d6c20fd, "usb_anchor_urb" },
	{ 0x51bd55b5, "completion_done" },
	{ 0xd4a12c07, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=can-dev,usbcore";

MODULE_ALIAS("usb:v0BFDp000Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0122d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0104d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0107d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ed*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D3FDAC72506AB4EF6180E2C");

MODULE_INFO(suserelease, "SLE15-SP3");
