#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0x438ab2cc, "dev_attr_phy_event_threshold" },
	{ 0x3fe5ab28, "hisi_sas_host_reset" },
	{ 0xc8ac7772, "sas_bios_param" },
	{ 0xfbb20157, "ata_scsi_dma_need_drain" },
	{ 0xa3a6fcab, "sas_change_queue_depth" },
	{ 0x86101aa7, "hisi_sas_scan_start" },
	{ 0xed4147e0, "hisi_sas_scan_finished" },
	{ 0xcdfa8c7a, "sas_target_destroy" },
	{ 0xf6fa4ebc, "sas_target_alloc" },
	{ 0xd4956aa1, "hisi_sas_slave_configure" },
	{ 0xfd58bec4, "sas_eh_target_reset_handler" },
	{ 0xcf8aa3fa, "sas_eh_device_reset_handler" },
	{ 0x4bbfdbd8, "sas_queuecommand" },
	{ 0x3569370d, "sas_ioctl" },
	{ 0xbd2c3b0, "platform_driver_unregister" },
	{ 0x4198ff63, "__platform_driver_register" },
	{ 0xd9cfcba1, "hisi_sas_init_mem" },
	{ 0x88ede0a6, "hisi_sas_stop_phys" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3087a6ea, "sas_ssp_task_response" },
	{ 0xc413b898, "dma_unmap_sg_attrs" },
	{ 0x24bfe1aa, "hisi_sas_slot_task_free" },
	{ 0x38e93b14, "hisi_sas_sata_done" },
	{ 0x1b408215, "hisi_sas_probe" },
	{ 0xc9862bd8, "hisi_sas_phy_down" },
	{ 0x24d273d1, "add_timer" },
	{ 0x95ffdeb5, "hisi_sas_phy_oob_ready" },
	{ 0x934056cb, "hisi_sas_notify_phy_event" },
	{ 0xfa881405, "_dev_info" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x9d17f6f5, "device_property_read_u32_array" },
	{ 0x2a237810, "device_property_present" },
	{ 0xf957eab0, "regmap_read" },
	{ 0xded886e5, "regmap_write" },
	{ 0xb68f961c, "is_acpi_device_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x29361773, "complete" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x7e20dbb6, "devm_request_threaded_irq" },
	{ 0xd82d9f, "platform_get_irq" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x479c3c86, "find_next_zero_bit" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe09013bd, "hisi_sas_get_ncq_tag" },
	{ 0x87b8798d, "sg_next" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x88136723, "_dev_warn" },
	{ 0x3ae92a6a, "to_hisi_sas_port" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xebd30222, "hisi_sas_phy_enable" },
	{ 0x9b807c91, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0x50648449, "_dev_err" },
	{ 0xba3239b8, "hisi_sas_remove" },
	{ 0x85b7bda0, "hisi_sas_kill_tasklets" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libsas,hisi_sas_main,libata";

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "B9102AB9BEA315A6D39AA6B");

MODULE_INFO(suserelease, "SLE15-SP3");
