#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xbc2a9cd1, "driver_unregister" },
	{ 0x6a803d01, "uart_unregister_driver" },
	{ 0x68bb7731, "i2c_del_driver" },
	{ 0xe7427129, "__spi_register_driver" },
	{ 0xf5af9d1e, "i2c_register_driver" },
	{ 0xc5850110, "printk" },
	{ 0x96dcbcc9, "uart_register_driver" },
	{ 0xdefb330, "spi_get_device_id" },
	{ 0xcfb4db64, "__devm_regmap_init_spi" },
	{ 0x1605149a, "spi_setup" },
	{ 0x3add791c, "__devm_regmap_init_i2c" },
	{ 0x59dad577, "device_get_match_data" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0x7e20dbb6, "devm_request_threaded_irq" },
	{ 0x79ac6179, "uart_add_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd5708f80, "kthread_stop" },
	{ 0x8f7f7385, "gpiochip_remove" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x89ddb56c, "uart_remove_one_port" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0x42d6ee88, "gpiochip_add_data_with_key" },
	{ 0xa654dc7, "sched_setscheduler" },
	{ 0x33b45931, "wake_up_process" },
	{ 0x412d9f25, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x8b99870, "__kthread_init_worker" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf85e356b, "devm_clk_get" },
	{ 0x9d17f6f5, "device_property_read_u32_array" },
	{ 0x70f77468, "devm_kmalloc" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x88136723, "_dev_warn" },
	{ 0x9044c84c, "do_SAK" },
	{ 0x88ada69b, "tty_flip_buffer_push" },
	{ 0x92efe9d7, "uart_insert_char" },
	{ 0xf0cdcc3b, "regmap_raw_read" },
	{ 0x84935b4d, "gpiochip_get_data" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa58bbedb, "uart_update_timeout" },
	{ 0xe8a7a04c, "uart_get_baud_rate" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3d58445e, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf2c39f1a, "regmap_raw_write" },
	{ 0xce25ee8f, "regcache_cache_bypass" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xf957eab0, "regmap_read" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x50648449, "_dev_err" },
	{ 0xd43e1cd3, "kthread_queue_work" },
	{ 0xe5719937, "kthread_flush_worker" },
	{ 0xded886e5, "regmap_write" },
	{ 0x43673eda, "regmap_update_bits_base" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "17C090287E4439D8C84DEBE");

MODULE_INFO(suserelease, "SLE15-SP3");
