#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x81bac86a, "module_layout" },
	{ 0xd0e9bd2a, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7faadac0, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x4a41c313, "usb_unlink_urb" },
	{ 0x909ae510, "sdev_prefix_printk" },
	{ 0xd8b363da, "usb_unanchor_urb" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x562462d4, "usb_submit_urb" },
	{ 0x6d6c20fd, "usb_anchor_urb" },
	{ 0x8d594716, "kmem_cache_alloc_trace" },
	{ 0x82bae9d5, "kmalloc_caches" },
	{ 0xd4a12c07, "usb_alloc_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x88136723, "_dev_warn" },
	{ 0xe044d09f, "scsi_add_host_with_dma" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2e2eec0, "scsi_host_alloc" },
	{ 0x5cac8183, "usb_stor_adjust_quirks" },
	{ 0x4f175db7, "blk_queue_max_hw_sectors" },
	{ 0xc616697b, "blk_queue_update_dma_alignment" },
	{ 0xbddc9e7e, "__dynamic_dev_dbg" },
	{ 0xac4b0e99, "scsi_scan_host" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2f720a92, "usb_lock_device_for_reset" },
	{ 0x44a583c8, "scsi_host_put" },
	{ 0x9584eb2d, "scsi_remove_host" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x4c17dc5d, "usb_kill_urb" },
	{ 0x3edef5bf, "usb_get_urb" },
	{ 0x72d7b744, "scsi_print_command" },
	{ 0xea923d6f, "scmd_printk" },
	{ 0x30a71dd9, "scsi_report_bus_reset" },
	{ 0x424d49f, "usb_alloc_streams" },
	{ 0x95a0ea2e, "scsi_change_queue_depth" },
	{ 0x32c263ea, "scsi_is_host_device" },
	{ 0x50648449, "_dev_err" },
	{ 0x6a324230, "usb_free_urb" },
	{ 0x7a6b8c0e, "scsi_unblock_requests" },
	{ 0xd7984583, "dev_printk" },
	{ 0xa8b97e8c, "scsi_block_requests" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6400851d, "usb_reset_device" },
	{ 0x69b6b408, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x488db00c, "usb_free_streams" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usb-storage,scsi_mod";

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "5832B5E467AB0D394A25E78");

MODULE_INFO(suserelease, "SLE15-SP3");
